- ;|Curve 类 AcDbLine、AcDbPolyline(lwpolyline),AcDbArc,AcDbCircle,AcDbEllipse,
- AcDbSpline AcDb2dPolyline
- |;
- (defun IsCurve (objectname)
- (member objectname
- '("AcDbArc" "AcDbPolyline" "AcDbLine"
- "AcDbEllipse" "AcDbSpline" "AcDbCircle"
- "AcDb2dPolyline"
- )
- )
- );;;;;;;;;;;;;;;;;;;;;;;;(defun c:test (/ e obj thisdrawing)
- (if (and (setq e (entsel "\n选择曲线: "))
- (setq obj (vlax-ename->vla-object (car e)))
- (member (vla-get-objectname obj)
- '("AcDbArc" "AcDbPolyline"
- "AcDbLine" "AcDbEllipse"
- "AcDbSpline" "AcDbCircle"
- "AcDb2dPolyline"
- )
- )
- )
- (progn
- (setq thisdrawing (vla-get-activedocument (vlax-get-acad-object)))
- (vla-startundomark thisdrawing)
- .....
- (vla-endundomark thisdrawing)
- )
- )
- (princ)
- )
|